
import Taro from '@tarojs/taro'
import { useMemo } from 'react'
import useRouter from '@/utils/hooks/useRouter'
import Spin from "@/components/Spin";
import { useModel } from '@/store'


export default (Child) => (props) => {
  const {person}=useModel('person')
  const {location,setLocation}=useModel('location')
  const router = useRouter()
  
  if (!location) {
    setLocation(Taro.getStorageSync('location'))
  }

  // 确保执行过 login 方法，拿到了 person
  const isLoged = useMemo(() => !!person?.personId, [person?.personId])

  return isLoged ? <Child {...props} router={router} location={location} /> : <Spin />
}
